org.apache.lucene.search.grouping

## Class AbstractGroupFacetCollector.FacetEntry

- java.lang.Object
- - org.apache.lucene.search.grouping.AbstractGroupFacetCollector.FacetEntry

- Enclosing class:
    AbstractGroupFacetCollector

      public static class AbstractGroupFacetCollector.FacetEntry
      extends Object

  Represents a facet entry with a value and a count.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGroupFacetCollector.FacetEntry(BytesRef value, int count)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getCount()`
    `BytesRef` | `getValue()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractGroupFacetCollector.FacetEntry

          public AbstractGroupFacetCollector.FacetEntry(BytesRef value,
                                                int count)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getValue

          public BytesRef getValue()

      Returns:
        The value of this facet entry

    - #### getCount

          public int getCount()

      Returns:
        The count (number of groups) of this facet entry.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.